# Class: Cache

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/cache.coffee

## Instance Method Summary

- # (void) path(source)
- # (void) get(source)
- # (void) set(source, result)
- # (void) has(source)
- # (void) hash(data)
- # (void) setConfig(config) Use user config as a "namespace" so that when he/she changes it the cache becomes invalid

## Constructor Details

# (void) constructor(basepath)

## Instance Method Details

# (void) path(source)

# (void) get(source)

# (void) set(source, result)

# (void) has(source)

# (void) hash(data)

# (void) setConfig(config)

Use user config as a "namespace" so that when he/she changes it the cache becomes invalid

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input